Redmine tests Board

English version here

Plugins de pilotage de tests fonctionnels et d'acceptances pour Redmine

Pré-requis

Ce plugins requiert :

  • Ruby 1.8.6 ou supérieur
  • Rails 2.2.2 ou supérieur
  • Redmine trunk from r2493 to r2886 ou supérieur

Installation

Via SVN

  $ sudo bash
  # export APP_ROOT= <path_vers_votre_app_rails>
  # cd $APP_ROOT
  # cd vendors/plugins
  # svn export https://svn.ultragreen.net/public/redmine-tests-boards/tags/<lastest_tags> redmine_tests_board
  # rake db:migrate_plugins RAILS_ENV=production

Download depuis Ultragreen.net

http://www.ultragreen.net/projects/testsboard/files

Récupérer le tar.gz de le répertoire APP_ROOT et :

  $ sudo bash
  # export APP_ROOT= <path_vers_votre_app_rails>
  # cd $APP_ROOT
  # cd vendors/plugins
  # wget <URL_FICHIER_TAR_GZ>
  # tar xvzf redmine-tests-board.X.X.X.tar.gz
  # rm redmine-tests-board.X.X.X.tar.gz
  # rake db:migrate_plugins RAILS_ENV=production

Relancer votre serveur Rails et Redmine.